package com.android.internal.telephony.cdma.sms;
class UserData {
  int payloadStr;
  int payload;
  int numFields;
  int paddingBits;
  int msgType;
  int msgEncodingSet;
  int msgEncoding;
  int userDataHeader;
  int ASCII_MAP_MAX_INDEX;
  int ASCII_MAP_BASE_INDEX;
  int charToAscii;
  int ASCII_CR_INDEX;
  int ASCII_NL_INDEX;
  int PRINTABLE_ASCII_MIN_INDEX;
  int UNENCODABLE_7_BIT_CHAR;
  int ASCII_MAP;
  int IS91_MSG_TYPE_SHORT_MESSAGE;
  int IS91_MSG_TYPE_CLI;
  int IS91_MSG_TYPE_SHORT_MESSAGE_FULL;
  int IS91_MSG_TYPE_VOICEMAIL_STATUS;
  int ENCODING_GSM_DCS;
  int ENCODING_GSM_7BIT_ALPHABET;
  int ENCODING_LATIN;
  int ENCODING_LATIN_HEBREW;
  int ENCODING_KOREAN;
  int ENCODING_SHIFT_JIS;
  int ENCODING_UNICODE_16;
  int ENCODING_IA5;
  int ENCODING_7BIT_ASCII;
  int ENCODING_IS91_EXTENDED_PROTOCOL;
  int ENCODING_OCTET;
}
class SmsEnvelope {
  int bearerData;
  int causeCode;
  int errorClass;
  int replySeqNo;
  int bearerReply;
  int origSubaddress;
  int destAddress;
  int origAddress;
  int serviceCategory;
  int teleService;
  int messageType;
  int SERVICE_CATEGORY_CMAS_LAST_RESERVED_VALUE;
  int SERVICE_CATEGORY_CMAS_TEST_MESSAGE;
  int SERVICE_CATEGORY_CMAS_CHILD_ABDUCTION_EMERGENCY;
  int SERVICE_CATEGORY_CMAS_SEVERE_THREAT;
  int SERVICE_CATEGORY_CMAS_EXTREME_THREAT;
  int SERVICE_CATEGORY_CMAS_PRESIDENTIAL_LEVEL_ALERT;
  int TELESERVICE_MWI;
  int TELESERVICE_SCPT;
  int TELESERVICE_WEMT;
  int TELESERVICE_WAP;
  int TELESERVICE_VMN;
  int TELESERVICE_WMT;
  int TELESERVICE_NOT_SET;
  int MESSAGE_TYPE_ACKNOWLEDGE;
  int MESSAGE_TYPE_BROADCAST;
  int MESSAGE_TYPE_POINT_TO_POINT;
}
class CdmaSmsTest {
  int LOG_TAG;
}
class CdmaSmsSubaddress {
  int origBytes;
  int odd;
  int type;
}
class CdmaSmsAddress {
  int numericCharDialableMap;
  int numericCharsSugar;
  int numericCharsDialable;
  int numberPlan;
  int NUMBERING_PLAN_ISDN_TELEPHONY;
  int NUMBERING_PLAN_UNKNOWN;
  int numberOfDigits;
  int SMS_SUBADDRESS_MAX;
  int SMS_ADDRESS_MAX;
  int TON_RESERVED;
  int TON_ABBREVIATED;
  int TON_ALPHANUMERIC;
  int TON_SUBSCRIBER;
  int TON_NETWORK;
  int TON_NATIONAL_OR_EMAIL;
  int TON_INTERNATIONAL_OR_IP;
  int TON_UNKNOWN;
  int numberMode;
  int NUMBER_MODE_DATA_NETWORK;
  int NUMBER_MODE_NOT_DATA_NETWORK;
  int digitMode;
  int DIGIT_MODE_8BIT_CHAR;
  int DIGIT_MODE_4BIT_DTMF;
}
class BearerData {
  class Gsm7bitCodingResult {
    int data;
    int septets;
  }
  class CodingException {
  }
  int serviceCategoryProgramData;
  int cmasWarningInfo;
  int callbackNumber;
  int depositIndex;
  int numberOfMessages;
  int reportReq;
  int readAckReq;
  int deliveryAckReq;
  int userAckReq;
  int deferredDeliveryTimeRelative;
  int deferredDeliveryTimeRelativeSet;
  int validityPeriodRelative;
  int validityPeriodRelativeSet;
  int RELATIVE_TIME_RESERVED;
  int RELATIVE_TIME_MOBILE_INACTIVE;
  int RELATIVE_TIME_NOW;
  int RELATIVE_TIME_INDEFINITE;
  int RELATIVE_TIME_WEEKS_LIMIT;
  int RELATIVE_TIME_DAYS_LIMIT;
  int RELATIVE_TIME_HOURS_LIMIT;
  int RELATIVE_TIME_MINS_LIMIT;
  int deferredDeliveryTimeAbsolute;
  int validityPeriodAbsolute;
  int msgCenterTimeStamp;
  class TimeStamp {
  }
  int userResponseCode;
  int userResponseCodeSet;
  int userData;
  int hasUserDataHeader;
  int messageStatus;
  int errorClass;
  int messageStatusSet;
  int STATUS_UNDEFINED;
  int ERROR_UNDEFINED;
  int STATUS_MESSAGE_EXPIRED;
  int STATUS_INVALID_DESTINATION;
  int STATUS_DUPLICATE_MESSAGE;
  int STATUS_TEXT_TOO_LONG;
  int STATUS_BLOCKED_DESTINATION;
  int STATUS_CANCEL_FAILED;
  int ERROR_PERMANENT;
  int STATUS_UNKNOWN_ERROR;
  int STATUS_NETWORK_ERROR;
  int STATUS_NETWORK_CONGESTION;
  int ERROR_TEMPORARY;
  int STATUS_CANCELLED;
  int STATUS_DELIVERED;
  int STATUS_DEPOSITED_TO_INTERNET;
  int STATUS_ACCEPTED;
  int ERROR_NONE;
  int language;
  int languageIndicatorSet;
  int LANGUAGE_HEBREW;
  int LANGUAGE_CHINESE;
  int LANGUAGE_KOREAN;
  int LANGUAGE_JAPANESE;
  int LANGUAGE_SPANISH;
  int LANGUAGE_FRENCH;
  int LANGUAGE_ENGLISH;
  int LANGUAGE_UNKNOWN;
  int displayMode;
  int displayModeSet;
  int DISPLAY_MODE_USER;
  int DISPLAY_MODE_DEFAULT;
  int DISPLAY_MODE_IMMEDIATE;
  int alert;
  int alertIndicatorSet;
  int ALERT_HIGH_PRIO;
  int ALERT_MEDIUM_PRIO;
  int ALERT_LOW_PRIO;
  int ALERT_DEFAULT;
  int privacy;
  int privacyIndicatorSet;
  int PRIVACY_SECRET;
  int PRIVACY_CONFIDENTIAL;
  int PRIVACY_RESTRICTED;
  int PRIVACY_NOT_RESTRICTED;
  int priority;
  int priorityIndicatorSet;
  int PRIORITY_EMERGENCY;
  int PRIORITY_URGENT;
  int PRIORITY_INTERACTIVE;
  int PRIORITY_NORMAL;
  int messageId;
  int messageType;
  int MESSAGE_TYPE_SUBMIT_REPORT;
  int MESSAGE_TYPE_DELIVER_REPORT;
  int MESSAGE_TYPE_READ_ACK;
  int MESSAGE_TYPE_USER_ACK;
  int MESSAGE_TYPE_DELIVERY_ACK;
  int MESSAGE_TYPE_CANCELLATION;
  int MESSAGE_TYPE_SUBMIT;
  int MESSAGE_TYPE_DELIVER;
  int SUBPARAM_MESSAGE_STATUS;
  int SUBPARAM_SERVICE_CATEGORY_PROGRAM_RESULTS;
  int SUBPARAM_SERVICE_CATEGORY_PROGRAM_DATA;
  int SUBPARAM_MESSAGE_DEPOSIT_INDEX;
  int SUBPARAM_MESSAGE_DISPLAY_MODE;
  int SUBPARAM_CALLBACK_NUMBER;
  int SUBPARAM_LANGUAGE_INDICATOR;
  int SUBPARAM_ALERT_ON_MESSAGE_DELIVERY;
  int SUBPARAM_NUMBER_OF_MESSAGES;
  int SUBPARAM_REPLY_OPTION;
  int SUBPARAM_PRIVACY_INDICATOR;
  int SUBPARAM_PRIORITY_INDICATOR;
  int SUBPARAM_DEFERRED_DELIVERY_TIME_RELATIVE;
  int SUBPARAM_DEFERRED_DELIVERY_TIME_ABSOLUTE;
  int SUBPARAM_VALIDITY_PERIOD_RELATIVE;
  int SUBPARAM_VALIDITY_PERIOD_ABSOLUTE;
  int SUBPARAM_MESSAGE_CENTER_TIME_STAMP;
  int SUBPARAM_USER_RESPONSE_CODE;
  int SUBPARAM_USER_DATA;
  int SUBPARAM_MESSAGE_IDENTIFIER;
  int LOG_TAG;
}
